DKBSignDocs

API reference

PUTRequires Bearer token

Update a typology

/api/edm/typologies/{typology_id}

Update /api/edm/typologies/{typology_id}. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

FieldTypeDescription
typology_id
Required
stringPath parameter typology_id.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
name
stringLabel.
code
stringUnique code.
description
stringDescription.
retention_years
integerRetention period.
e.g. 10
sealed
booleanSealed typology.
e.g. false
metadata_fields
arrayCustom metadata keys.
color
stringUI color.

Responses

StatusMeaning
200Typologies
401Missing or invalid Bearer token.

Request

curl
curl -X PUT 'https://api.dkbsigns.com/api/edm/typologies/uuid_or_id' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"name":"example","code":"example","description":"example","retention_years":10,"sealed":false,"metadata_fields":["example"],"color":"example"}'

Response 200

json
[
  {
    "id": "typ-1",
    "name": "Contract",
    "code": "CONTRAT"
  }
]